function love.load()
	fade = love.graphics.newImage("fade.png")
	miss = love.graphics.newImage("miss.png")
	hmm = love.audio.newSource("hmm.ogg", "static")
	scarynoise = love.audio.newSource("scarynoise.ogg", "static")
	stage = 1
	timer = 0
	font = love.graphics.newFont(12)
	love.graphics.setFont(font)
	positions = {}
	math.randomseed(os.time())
end

local function drawdoor(time)
	time = time or 3
	love.graphics.setColor(255, 255, 255, 255)
	love.graphics.draw(fade, 0, 140)
	love.graphics.setColor(0, 0, 0, 255)
	love.graphics.rectangle("fill", 0, 0, 320, 140 - time * 25)
	love.graphics.polygon("fill", {
		0, 140 - time * 30,
		135, 140 - time * 30,
		135, 140,
		135 - time * 10, 240,
		0, 240,
	})
	love.graphics.polygon("fill", {
		185 + time * 10, 240,
		185, 140,
		185, 140 - time * 30,
		320, 140 - time * 30,
		320, 240,
		0, 240,
	})
	love.graphics.rectangle("fill", 0, 140 + time * 20, 320, 100 - time * 20)
end

function love.draw()
	if stage == 2 then
		drawdoor(timer)
	elseif stage == 3 then
		drawdoor(3)
	elseif stage == 4 then
		drawdoor(3)
		love.graphics.setColor(0, 0, 0, math.min(255, 255 * (timer / 2)))
		love.graphics.draw(miss, 160, 140, 0, 1, 1, 25, 75)
	elseif stage == 5 then
		drawdoor(3)
		local insty = math.min(255, 255 * (timer / 3))
		love.graphics.setColor(insty, insty, insty, 255)
		love.graphics.draw(miss, 160, 140, 0, 1, 1, 25, 75)
		love.graphics.setColor(255, 0, 0, 255)
		for _, pos in pairs(positions) do
			love.graphics.print("I HAVE NO FACE", unpack(pos))
		end
	end
	if dialogue then
		love.graphics.setColor(255, 255, 255, 255)
		love.graphics.printf(dialogue, 0, 220, 320, "center")
	end
end

function love.update(dt)
	timer = timer + dt
	if stage == 1 then
		if timer > 1 then
			timer = timer - 1
			love.graphics.setBackgroundColor(255, 255, 255)
			stage = 2
		end
	elseif stage == 2 then
		if timer > 3 then
			timer = timer - 3
			stage = 3
		end
	elseif stage == 3 then
		if timer > 0.5 then
			timer = timer - 0.5
			stage = 4
		end
	elseif stage == 4 then
		if timer > 1.4 and not hmmd then hmm:play() hmmd = true end
		if timer > 2 and not dialogue then
			dialogue = "What are you doing here?"
		elseif timer > 4 then
			timer = timer - 4
			dialogue = nil
			stage = 5
		end
	elseif stage == 5 then
		if timer > 2.1 and not scared then love.audio.setVolume(1.4) scarynoise:play() scared = true end
		if timer > 2.5 then
			for _ = 1, 3 do
				table.insert(positions, {math.random(5, 315 - font:getWidth("I HAVE NO FACE")), math.random(5, 220)})
			end
		end
	end
end

function love.keypressed(key)
	if key == "escape" then
		love.event.push "q"
	end
end
